# == Class: myapache
#
#   This class is used to configure an apache web-server.
#
# === Examples
#
#   include myapache
#
#   class {'myapache':}
#
# === Authors
#
#   Your Name <Your_Email>
#
class myapache {

  case $::osfamily {

    Debian: {
      package { 'apache2' :
        ensure  => installed,
      }
    }

    RedHat: {
      package { 'httpd' :
        ensure  => installed,
      }
    }

    default: {
      fail("The ${::module_name} module is not supported on ${::operatingsystem}")
    }

  }

}
